Skip to main content
PUT
/
v3
/
training-standards
/
{training_standard_id}
Update a training standard
curl --request PUT \
  --url https://api.ctrl-hub.com/v3/training-standards/{training_standard_id} \
  --header 'Content-Type: application/vnd.api+json' \
  --header 'X-Session-Token: <api-key>' \
  --data '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "status": "ingested",
      "renewal_period_months": 123
    },
    "relationships": {
      "categories": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      }
    }
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "title": "<string>",
      "status": "ingested",
      "provenance": "citb",
      "grant_ts_code": "<string>",
      "occupational_area": "<string>",
      "product_type": "Recognised",
      "url": "<string>",
      "citb_status": "Published",
      "grant_tier": "<string>",
      "grant_amount_pence": 123,
      "renewal_period_months": 123,
      "last_updated_at": "2023-11-07T05:31:56Z",
      "last_synced_at": "2023-11-07T05:31:56Z"
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "standards_body": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "categories": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "provenance": "citb",
        "acronym": "<string>",
        "website": "<string>"
      }
    }
  ]
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

training_standard_id
string<uuid>
required

The unique identifier for the training standard.

Body

application/vnd.api+json

The training standard fields to update. Only admin-managed fields can be changed — synced fields are overwritten by the sync pipeline.

data
object
required

Response

Get a training standard.

JSON API response object

data
object
required

A training standard

jsonapi
object
required
included
object[]

Related resources that can be included when a training standard is returned

A standards body